Subject: Re: [PATCH] powerpc: Create "rom" (MTD) device prpmc2800

From: Segher Boessenkool <[email-masked]>
Date: Sat, 2 Jun 2007 10:53:00 +0200

> I think "direct-mapped" as compatible is a bit too broad or vague.
>
> The compatible is supposed to be useable to find and match a driver
> without regard to the name of the node.  Perhaps direct-mapped-rom?
> (as opossed to a direct-mapped-ram, sram, or some width flash bank).

"actual-name-of-the-chip", "cfi-command-set-#", "cfi" seems
like a good start.

> Actually, looking back at your device tree {1], your list several
> properties for flash, including bank-width and partition names.
> Perhaps first compatible should be direct-mapped-partitioned-flash,
> direct-mapped-partitioned-rom, direct-mapped-rom  (to me a
> direct-mapped-rom driver would expose one section of address space
> read-only). I'm assuming that your driver for this "direct-mapped"
> device will look at these properties from the of device node and
> call the mtd layer somewhat directly with their contents.

People here tried to create a generic "flash" device binding.
It didn't work out (part of the problem is its scope was way
too big; another problem is it was too Linux-mtd specific).

Now since the probing is done in platform-specific code here,
you don't *need* an "official" binding -- just get your
"compatible" prop right so you can correctly probe the device
node, and then maybe add some node-specific properties if you
need them.

Segher